gnutls_psk_set_server_credentials_file(3)

NAME
gnutls_psk_set_server_credentials_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_server_credentials_file(gnutls_psk_server_credentials_t res, const char * password_file);

ARGUMENTS

gnutls_psk_server_credentials_t                                         res
    is a gnutls_psk_server_credentials_t structure.

const char * password_file
    is the PSK password file (passwd.psk)

DESCRIPTION
This function sets the password file, in a gnutls_psk_server_credentials_t structure. This password file holds usernames and keys and will be used for PSK authentication.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/